org.apache.ignite.internal.cache.query.index

## Class IndexName

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.IndexName

    public class IndexName
    extends Object

Represents list of names that fully describes index domain (schema, cache, table, index).

### Constructor Summary

Constructors
Constructor and Description
`IndexName(String cacheName, @Nullable String schemaName, @Nullable String tableName, String idxName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `cacheName()`
`String` `fullName()`
`String` `idxName()`
`String` `schemaName()`
`String` `tableName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexName

    public IndexName(String cacheName,
                     @Nullable
                     @Nullable String schemaName,
                     @Nullable
                     @Nullable String tableName,
                     String idxName)

### Method Detail

#### fullName

    public String fullName()

Returns:
  Full index name.

#### idxName

    public String idxName()

Returns:
  Index name.

#### tableName

    public String tableName()

Returns:
  Table name.

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023